<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"/>
	<xsl:param name="message"/>
	<xsl:include href="namedtemplates.xsl"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>
					<xsl:value-of select="$web_title"/>
				</title>
				<xsl:if test="configuration/user_data/auto_logout_time != 0">
					<xsl:element name="meta">
						<xsl:attribute name="http-equiv">refresh</xsl:attribute>
						<xsl:attribute name="content"><xsl:value-of select="(configuration/user_data/auto_logout_time * 60)+ 5"/>;URL=advsystem.py</xsl:attribute>
					</xsl:element>
				</xsl:if>
				<xsl:call-template name="common_imports"/>
			</head>
			<body onload="window.defaultStatus=''; StartFloat();">
				<xsl:call-template name="initPage">
					<xsl:with-param name="pageName">advsystem.py</xsl:with-param>
					<xsl:with-param name="message" select="$message"/>
				</xsl:call-template>
				<div id="displayresults">
					<h1 class="display">System</h1>
					<xsl:apply-templates mode="systemdata"/>
					<xsl:apply-templates mode="statusdata"/>
					<form action="advsystem.py" method="post" name="applyform">
						<input type="hidden" name="action" value="apply"/>
						<xsl:apply-templates mode="userdata"/>
					</form>
				</div>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="system" mode="systemdata">
		<div class="row">
			<div class="generalcell">
				<b>System Time:</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="system_time"/>
			</div>
		</div>
		<div class="row">
			<div class="generalcell">
				<b>System Up Time:</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="system_up_time"/>
			</div>
		</div>
		<div class="row">
			<div class="generalcell">
				<b>OS Version:</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="os_version"/>
			</div>
		</div>
		<div class="row">
			<div class="generalcell">
				<b>S/W Version:</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="sw_version"/>
			</div>
		</div>
	<!--	<div class="row">
			<div class="generalcell">
			</div>
			 <div class="largegeneralcell">
				<xsl:value-of select="$web_version"/>
			</div>
		</div>
-->
		<div class="row">
			<div class="generalcell">
				<b>H/W Version:</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="hw_version"/>
			</div>
		</div>
		<div class="row">
			<div class="generalcell">
				<b>FPGA Version:</b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="fpga_version"/>
			</div>
		</div>
	</xsl:template>
	<xsl:template match="text()" mode="systemdata"/>
	<xsl:template match="status" mode="statusdata">
		<div class="row">
			<div class="generalcell">
				<b>Mux Up Time: </b>
			</div>
			<div class="largegeneralcell">
				<xsl:value-of select="mux_up_time"/>
			</div>
		</div>
		<xsl:if test="redundancy/mux">
			<div class="row">
				<div class="generalcell">
					<b>Mux Redundancy Mode: </b>
				</div>
				<div class="largegeneralcell">
					<xsl:value-of select="redundancy/mux/mode"/>
				</div>
			</div>
		</xsl:if>
	</xsl:template>
	<xsl:template match="text()" mode="statusdata"/>
	<xsl:template match="user_data" mode="userdata">
		<div class="row">
			<br/>
			<h1 class="display">Update Password</h1>
		</div>
		<br/>
		<div class="row">
			<div class="largegeneralcell">	
			Set/Modify Administrator Password:
			</div>
			<div class="largegeneralcell">
				<xsl:element name="input">
					<xsl:attribute name="type">password</xsl:attribute>
					<xsl:attribute name="name">admin_pw1</xsl:attribute>
					<xsl:attribute name="value"/>
				</xsl:element>
			</div>
		</div>
		<div class="row">
			<div class="largegeneralcell">
				Confirm Administrator Password:
			</div>
			<div class="largegeneralcell">
				<input type="password" name="admin_pw2"/>
			</div>
		</div>
	</xsl:template>
	<xsl:template match="text()" mode="userdata"/>
	<xsl:template match="text()">
	</xsl:template>
</xsl:stylesheet>
